# trgt_mng.cpp File Reference

MNG Target Module. More...

`#include "trgt_mng.h"`
`#include <libmng.h>`
`#include <ETL/stringf>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`
`#include <ETL/misc>`

## Defines

#define | SYNFIG_TARGET

## Functions

| SYNFIG_TARGET_INIT (mng_trgt)
| SYNFIG_TARGET_SET_NAME (mng_trgt,"mng")
| SYNFIG_TARGET_SET_EXT (mng_trgt,"mng")
| SYNFIG_TARGET_SET_VERSION (mng_trgt,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (mng_trgt,"$Id$")
static mng_ptr MNG_DECL | mng_alloc_proc (mng_size_t size)
static void MNG_DECL | mng_free_proc (mng_ptr ptr, mng_size_t size __attribute__((unused)))
static mng_bool MNG_DECL | mng_null_proc (mng_handle mng __attribute__((unused)))
static mng_bool MNG_DECL | mng_write_proc (mng_handle mng, mng_ptr buf, mng_uint32 size, mng_uint32 *written)
static mng_bool MNG_DECL | mng_error_proc (mng_handle mng __attribute__((unused)), mng_int32 error __attribute__((unused)), mng_int8 severity __attribute__((unused)), mng_chunkid chunkname __attribute__((unused)), mng_uint32 chunkseq __attribute__((unused)), mng_int32 extra1 __attribute__((unused)), mng_int32 extra2 __attribute__((unused)), mng_pchar errortext)

## Detailed Description

MNG Target Module.

$Id$

=== N O T E S ===========================================================

You will need to read the PNG and MNG specs to understand this code

=========================================================================

## Define Documentation

#define SYNFIG_TARGET

## Function Documentation

SYNFIG_TARGET_INIT | ( | mng_trgt |  | ) |

SYNFIG_TARGET_SET_NAME | ( | mng_trgt | ,
|  | "mng" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | mng_trgt | ,
|  | "mng" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | mng_trgt | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | mng_trgt | ,
|  | "$Id$" |  |
| ) |  |  |

static mng_ptr MNG_DECL mng_alloc_proc | ( | mng_size_t | size | ) | `[static]`

Referenced by mng_trgt::init().

static void MNG_DECL mng_free_proc | ( | mng_ptr | ptr,
|  | mng_size_t size | __attribute__(unused) |
| ) |  |  | `[static]`

Referenced by mng_trgt::init().

static mng_bool MNG_DECL mng_null_proc | ( | mng_handle mng | __attribute__(unused) | ) | `[static]`

Referenced by mng_trgt::init().

static mng_bool MNG_DECL mng_write_proc | ( | mng_handle | mng,
|  | mng_ptr | buf,
|  | mng_uint32 | size,
|  | mng_uint32 * | written |
| ) |  |  | `[static]`

Referenced by mng_trgt::init().

static mng_bool MNG_DECL mng_error_proc | ( | mng_handle mng | __attribute__(unused),
|  | mng_int32 error | __attribute__(unused),
|  | mng_int8 severity | __attribute__(unused),
|  | mng_chunkid chunkname | __attribute__(unused),
|  | mng_uint32 chunkseq | __attribute__(unused),
|  | mng_int32 extra1 | __attribute__(unused),
|  | mng_int32 extra2 | __attribute__(unused),
|  | mng_pchar | errortext |
| ) |  |  | `[static]`

References synfig::error().

Referenced by mng_trgt::init().